Bug 153409 - [PATCH] mail/procmail: Port builds shouldn't ask for user input
Summary: [PATCH] mail/procmail: Port builds shouldn't ask for user input
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 20:10 UTC by leres
Modified: 2011-09-10 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2010-12-23 20:10:09 UTC
    When you build the procmail port it gratuitously asks you to
    enter additional directories to do lock tests on; ports should
    not ask for user input.

Fix: Wire the script to not use additional directories; patch attached.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk0Tq74ACgkQWxlAhAje3Js2LgCgkzzCWpdJISgTNA2r9OrLh+ro
uHcAoIxIpuCJr17fybYTRb32IUTWheJG
=mIzY
-----END PGP SIGNATURE-----

--------------050207080600070009030209
Content-Type: text/plain;
 name="patch-files-patch-src-autoconf"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-files-patch-src-autoconf"



--------------050207080600070009030209
Content-Type: application/octet-stream;
 name="patch-files-patch-src-autoconf.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-files-patch-src-autoconf.sig"

iEYEABECAAYFAk0Tq74ACgkQWxlAhAje3JsqTACfU8jrr7axRUa3f9eanQMvdAcOpskAmwUK
tPvtvgLQDKD3k14bvCJDCCmZ
--------------050207080600070009030209----tdRwrxvzEGbmE0xrNDVvMItVPFobLvVWjNtWbpxIzKZ5Kl1n
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- patch-src:autoconf.orig	2005-10-30 01:51:16.000000000 -0800
+++ patch-src-autoconf	2010-12-23 11:54:01.000000000 -0800
@@ -1,6 +1,16 @@
---- src/autoconf.ORI	Sun Oct 30 10:01:45 2005
-+++ src/autoconf	Sun Oct 30 10:03:56 2005
-@@ -978,6 +978,7 @@
+--- src/autoconf.orig	2001-09-10 21:55:46.000000000 -0700
++++ src/autoconf	2010-12-23 11:53:07.000000000 -0800
+@@ -230,7 +230,8 @@
+   echo ""
+   if test -z "$LOCKINGTEST"
+   then
+-     read b
++     #read b
++     b=""
+   elif test dummy = "$LOCKINGTEST"
+   then
+      b=""
+@@ -977,6 +978,7 @@
  
  echo 'Checking realloc implementation'
  
@@ -8,4 +18,3 @@
  if $MAKE _autotst >$DEVNULL 2>&1
   test -f _autotst
  then
-
How-To-Repeat:     I will temporarily use a testdirectory named _locktest
    in the following directories:

    /tmp .

    If you would like to add any, please specify them below,
    press return to continue:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-23 20:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey A. Chernov freebsd_committer 2011-08-30 09:03:11 UTC
Responsible Changed
From-To: ache->freebsd-ports-bugs

I does not maintain this port anymore
Comment 3 Stefan Walter freebsd_committer 2011-08-31 13:52:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to new maintainer.
Comment 4 dfilter freebsd_committer 2011-09-10 14:05:20 UTC
sunpoet     2011-09-10 13:05:12 UTC

  FreeBSD ports repository

  Modified files:
    mail/procmail        Makefile 
    mail/procmail/files  patch-src:autoconf 
  Log:
  - Skip interactive input of additional directories for lock test
  - Remove BATCH/IS_INTERACTIVE section in Makefile
  
  PR:             ports/153409
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  
  Revision  Changes    Path
  1.61      +0 -8      ports/mail/procmail/Makefile
  1.2       +13 -4     ports/mail/procmail/files/patch-src:autoconf
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Po-Chuan Hsieh freebsd_committer 2011-09-10 14:05:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!